org.eclipse.jgit.util

## Class ProcessResult

- java.lang.Object
- - org.eclipse.jgit.util.ProcessResult

    public class ProcessResult
    extends Object

Describes the result of running an external process.

Since:
  3.7

### Nested Class Summary

Nested Classes
`static class` `ProcessResult.Status` Status of a process' execution.

### Constructor Summary

Constructors
Constructor and Description
`ProcessResult(int exitCode, ProcessResult.Status status)`
`ProcessResult(ProcessResult.Status status)` Instantiates a process result with the given status and an exit code of `-1`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getExitCode()`
`ProcessResult.Status` `getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessResult

    public ProcessResult(ProcessResult.Status status)

Instantiates a process result with the given status and an exit code of `-1`.

Parameters:
  `status` - Status describing the execution of the external process.

#### ProcessResult

    public ProcessResult(int exitCode,
                         ProcessResult.Status status)

Parameters:
  `exitCode` - Exit code of the process.
  `status` - Status describing the execution of the external process.

### Method Detail

#### getExitCode

    public int getExitCode()

Returns:
  The exit code of the process.

#### getStatus

    public ProcessResult.Status getStatus()

Returns:
  The status of the process' execution.